/**
 * @author R. Matt McCann
 * @brief Master stylesheet for the app
 * @copyright &copy; 2016 R. Matt McCann
 */

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}

/*CSS*/
* {font-family:'jaf-domus', helvetica, arial, sans-serif;}
html,body {width:100%; height:100%; position:relative;}

a {cursor:pointer;}

h1, h2, h3, h4 {font-family:'jaf-domus', helvetica, sans-serif;}



@import "app/sass/imports";

body {
	padding-top:75px; //lower than the fixed header;

	@media (max-width:$mobileBreakPoint) {
		padding-top: 60.5px;
	}
}

h1 {
	color: black;
	font-size: 36px;
	font-weight: 200;
	margin-top: 1.0em;
	margin-bottom: 1.0em;
}

h2 {
	color: $hd-blue-dk2;
	font-size: 20px;
	font-weight: normal;
	margin-top: 1.75em;
	margin-bottom: 1.0em;
}

p {
	font-size: 19px;
	font-weight: 100;
	line-height: 1.5em;
	margin-bottom: 15px;
	margin-top: 15px;
}

ul {
	font-size: 19px;
	font-weight: 100;
	line-height: 1.5em;
	padding-left: 25px;

	li {
		padding-bottom: 0.5em;

		&:before {
			content: "• ";
			font-weight: 600;
		}
	}
}

.btn-hd-orange {
	@include transition(background-color, 200ms);

	background-color: $hd-orange;
	border: none;
	border-radius: 2px;
	box-shadow: 1px 1px 1px rgba(0,0,0,0.1);
	color: #FFF;
	font-size: 20px;
	font-weight: 500;
	padding: 10px 25px;
	text-transform: uppercase;

	&:hover, &[disabled]:hover {
		background-color: darken($hd-orange, 10%);
		color: #fff;
	}
}

.container-single-col-text {
	max-width: 800px;
	padding-top: 25px;

	p {
		text-align: justify;
	}
}

.hd-modal-header {
	width:calc(100% + 50px);//modals have a 15px padding imposed on them, so 25px on each side
	position:relative;
	left:-25px;

	background-color:$hd-blue;
	background-image: linear-gradient(to bottom right, $hd-blue,darken($hd-blue,15%));
	color:#FFF;
	box-shadow:1px 2px 2px rgba(0,0,0,0.15);
	border-radius:2px;
	padding:10px 25px;
	font-size:35px;
	font-weight:bold;
	margin-bottom:15px;
	text-align: center;
}

.hd-panel {
	background-color: white;
	border: 1px solid $hd-lt-blue;//#e0e0e0;
	box-shadow: 4px 4px 4px rgba(0,0,0,0.2);
	margin-bottom: 15px;
	padding-bottom: 15px;
	padding-top: 15px;
}

.suggestions-wrap { //suggestion-wrap is used for our autofills

	position:relative;
	box-sizing:border-box;

	.suggestions-list {
		position:absolute;
		z-index:1000;
		width:98%;
		left:1%;

		.suggestion {
			background-color:$hd-lt-blue;
			text-align:left;
			padding:4px 8px;
			cursor:pointer;
			color:#FFF;
			border:1px solid darken($hd-lt-blue, 10%);
			border-top:none;

			&:hover {background-color:lighten($hd-lt-blue, 10%)}

			@include transition(background-color,100ms)

			&:last-child {border-bottom:1px solid #555;}

		}
	}
}
